
Ruby - Bug #3071

Convert rubygems and rdoc to use psych

04/01/2010 05:35 AM - tenderlovemaking (Aaron Patterson)

Status: Rejected   

Priority: Normal   

Assignee: tenderlovemaking (Aaron Patterson)   

Target version:    

ruby -v: ruby 1.9.2dev (2010-03-31 trunk 27130)

[x86_64-darwin10.2.0]

Backport:  

Description

=begin

Rubygems and rdoc should be converted to use psych.  The attached patch converts them.

=end

History

#1 - 04/01/2010 06:44 AM - headius (Charles Nutter)

=begin

Doesn't this mean the the RubyGems codevase would now be forked

between 1.8 and 1.9? And not work on any impls that don't have Psych

yet?

On Wednesday, March 31, 2010, Aaron Patterson redmine@ruby-lang.org wrote:

Bug #3071: Convert rubygems and rdoc to use psych

http://redmine.ruby-lang.org/issues/show/3071

Author: Aaron Patterson

Status: Open, Priority: Normal

Assigned to: Eric Hodel

ruby -v: ruby 1.9.2dev (2010-03-31 trunk 27130) [x86_64-darwin10.2.0]

Rubygems and rdoc should be converted to use psych.  The attached patch converts them.

http://redmine.ruby-lang.org

 =end

#2 - 04/01/2010 07:10 AM - bitsweat (Jeremy Daer)

=begin

On Wed, Mar 31, 2010 at 2:43 PM, Charles Oliver Nutter

headius@headius.com wrote:

Doesn't this mean the the RubyGems codevase would now be forked

between 1.8 and 1.9? And not work on any impls that don't have Psych

yet?

 The patch uses psych or yaml according to availability.

jeremy

=end

#3 - 04/01/2010 11:53 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Rejected

- Assignee changed from drbrain (Eric Hodel) to tenderlovemaking (Aaron Patterson)

=begin

Psych must provide YAML compatible layer instead.
=end

#4 - 04/01/2010 02:44 PM - drbrain (Eric Hodel)

=begin

I don't understand, this patch seems to use a YAML compatible layer so it will work with both Psych and syck

=end

#5 - 04/01/2010 05:17 PM - nobu (Nobuyoshi Nakada)

=begin

Hi,

At Thu, 1 Apr 2010 14:21:56 +0900,

Aaron Patterson wrote in [ruby-core:29197]:

Psych must provide YAML compatible layer instead.

 I don't understand.  Should I provide the YAML constant too?

 And lib/yaml.rb should select Syck or Psych.  If so, users can

choose either, probably at configuration.  It's a bad idea to

let all libraries write such selection.

Rather I want move lib/yaml to ext/syck/lib, and incorporate

your yamler into lib/yaml.rb.  Also, ext/{syck,psych} should

go to below of ext/yaml, I think.

--

Nobu Nakada

=end

#6 - 04/05/2010 01:38 PM - naruse (Yui NARUSE)

=begin

NOTE: Ruby::Specification#to_yaml uses deprecated API: YAML.quick_emit.

=end

Files

rgems.patch 17.2 KB 04/01/2010 tenderlovemaking (Aaron Patterson)
